Subject: Re: bug#38187: 27.0.50; No mouse-wheel scaling on images

From: Eli Zaretskii <[email-masked]>
Date: Fri, 22 Nov 2019 12:04:49 +0200

> Date: Fri, 22 Nov 2019 09:50:08 +0000
> From: Alan Third <[email-masked]>
> Cc: [email-masked], [email-masked], Juri Linkov <[email-masked]>
> 
> It would be nice if Emacs was able to reuse the actual image data
> where the only difference is scaling or rotation.

I think we found that too complicated at the time.

> A simple ‘solution’ to the mousewheel scaling issue would be to
> explicitly flush the old image from the cache on each change. I think
> that’s what image mode does when you zoom.

image-mode can do that when it knows the scaled image will replace the
previous one, yes.  (We will need to add an API for that, I think.)
But that's not cache eviction, that's application being smarter about
the "garbage" it produces.